---
title: ReCollect
url: https://recollect.net/
country: us
extra_info:
  - title: Ottawa, Canada
    url: https://ottawa.ca
    country: ca
  - title: City of Cambridge
    url: www.cambridgema.gov
    country: us
  - title: City of Bloomington
    url: https://bloomington.in.gov
    country: us
  - title: City of Georgetown, TX
    url: https://www.texasdisposal.com/waste-wizard/
    country: us
  - title: City of Gastonia, NC
    url: https://gastonianc.gov
    country: us
  - title: Strathcona County, ON
    url: https://www.strathcona.ca/
    country: ca
  - title: City of Edmonton, AB
    url: https://www.edmonton.ca/
    country: ca
  - title: City of Greater Sudbury, ON
    url: https://www.greatersudbury.ca/
    country: ca
  - title: Waste Wise APPS
    url: https://www.edmonton.ca/
    country: ca
  - title: Calgary, AB
    url: https://www.calgary.ca/
    country: ca
  - title: RM of Morris, MB
    url: https://www.mwmenviro.ca/
    country: ca
  - title: City of Peterborough, ON
    url: https://www.peterborough.ca/
    country: ca
  - title: City of Vancouver
    url: https://vancouver.ca
    country: ca
  - title: City of Nanaimo
    url: https://www.nanaimo.ca
    country: ca
  - title: City of Austin, TX
    url: https://austintexas.gov
    country: us
  - title: County of Simcoe, ON
    url: https://www.simcoe.ca
    country: ca
  - title: Halifax, NS
    url: https://www.halifax.ca
    country: ca
  - title: Middlesbrough Council
    url: https://middlesbrough.gov.uk
    country: uk
  - title: City of McKinney, TX
    url: https://www.mckinneytexas.org/
    country: us
  - title: Waste Connections
    url: https://www.wasteconnections.com/
    country: us
  - title: Niagara Region
    url: https://www.niagararegion.ca
    country: ca
  - title: CURBit St. John's
    url: https://curbitstjohns.ca/
    country: ca
  - title: Region of Waterloo
    url: https://www.regionofwaterloo.ca
    country: ca
  - title: Recology San Francisco
    url: https://www.recology.com/recology-san-francisco/
    country: us
  - title: University Park, TX
    url: https://www.uptexas.org
    country: us
  - title: Peel Region, ON
    url: https://www.peelregion.ca
    country: ca
  - title: District of Saanich, BC
    url: https://www.saanich.ca
    country: ca
  - title: Halton Region, ON
    url: https://www.halton.ca
    country: ca
  - title: Caerphilly, Wales
    url: https://www.caerphilly.gov.uk
    country: uk
  - title: City of Lethbridge
    url: https://www.lethbridge.ca
    country: ca
  - title: City of Regina
    url: https://www.regina.ca
    country: ca
  - title: Hardin Sanitation, Idaho, USA
    url: https://www.hardinsanitation.com/
    country: us
  - title: Richmond, BC, Canada
    url: https://www.richmond.ca
    country: ca
  - title: Davenport, Iowa, USA
    url: https://www.davenportiowa.com/
    country: us
  - title: Redcar & Cleveland, UK
    url: https://www.redcar-cleveland.gov.uk/
    country: uk

howto:
  en: |
    - To get the URL, search your address in the recollect form of your home town.
    - Click "Get a calendar", then "Add to Google Calendar".
    - The URL shown is your ICS calendar link, for example.
      ```plain
      https://recollect.a.ssl.fastly.net/api/places/BCCDF30E-578B-11E4-AD38-5839C200407A/services/208/events.en.ics?client_id=6FBD18FE-167B-11EC-992A-C843A7F05606
      ```
    - You can strip the client ID URL parameter to get the final URL: `https://recollect.a.ssl.fastly.net/api/places/BCCDF30E-578B-11E4-AD38-5839C200407A/services/208/events.en.ics`

    known to work with:
    |Region|Country|URL|
    |-|-|-|
    |Ottawa, ON|Canada|[ottawa.ca](https://ottawa.ca/en/garbage-and-recycling/recycling/garbage-and-recycling-collection-calendar)|
    |Simcoe County, ON|Canada|[simcoe.ca](https://www.simcoe.ca/dpt/swm/when)|
    |City of Bloomington, IN|USA|[api.recollect.net/r/area/bloomingtonin](https://api.recollect.net/r/area/bloomingtonin)|
    |City of Cambridge, MA|USA|[cambridgema.gov](https://www.cambridgema.gov/services/curbsidecollections)|
    |City of Georgetown, TX|USA|[texasdisposal.com](https://www.texasdisposal.com/waste-wizard/)|
    |City of Vancouver|Canada|[vancouver.ca](https://vancouver.ca/home-property-development/garbage-and-recycling-collection-schedules.aspx)|
    |City of Nanaimo|Canada|[nanaimo.ca](https://www.nanaimo.ca/city-services/garbage-recycling/collectionschedule)|
    |City of Austin|USA|[austintexas.gov](https://www.austintexas.gov/myschedule)|
    |Middlesbrough|UK|[middlesbrough.gov.uk](https://my.middlesbrough.gov.uk/login/)|
    |City of McKinney|USA|[mckinneytexas.org](https://www.mckinneytexas.org/503/Residential-Trash-Services/#App)|
    |Waste Connections|USA|[wasteconnections.com](https://www.wasteconnections.com/pickup-schedule/)|
    |Halton County, ON|Canada|[halton.ca](https://www.halton.ca/For-Residents/Recycling-Waste/Recycling-and-Waste-Tools/Online-Waste-Collection-Schedule)|
    |District of Saanish, BC|Canada|[saanich.ca](https://www.saanich.ca/EN/main/community/utilities-garbage/garbage-organics-recycling.html)|
    |Caerphilly, Wales|UK|[caerphilly.gov.uk](https://www.caerphilly.gov.uk/services/household-waste-and-recycling/bin-collection-days)|
    |Recology CleanScapes, WA|USA|[recology.com](https://www.recology.com/recology-king-county/des-moines/collection-calendar/)|
    |City of Lethbridge|Canada|[lethbridge.ca](https://www.lethbridge.ca/waste-recycling/#wastewizard)|
    |City of Regina|Canada|[regina.ca](https://www.regina.ca/home-property/recycling-garbage/)|
    |Hardin Sanitation, Ada County, Idaho|USA|[hardinsanitation.com/ada](https://www.hardinsanitation.com/ada/)|
    |Hardin Sanitation, Treasure Valley, Idaho|USA|[hardinsanitation.com](https://www.hardinsanitation.com/home/)|
    |Hardin Sanitation, City of Eagle, Idaho|USA|[hardinsanitation.com/cityofeagle](https://www.hardinsanitation.com/cityofeagle/)|
    |Richmond, BC|Canada|[richmond.ca](https://www.richmond.ca/services/recycling-garbage/)|
    |Davenport, Iowa|USA|[davenportiowa.com](https://www.davenportiowa.com/cms/One.aspx?portalId=6481456&pageId=17602135)|
    |Redcar & Cleveland|UK|[redcar-cleveland.gov.uk](https://www.redcar-cleveland.gov.uk/bins-and-waste-services/check-your-bin-collection-day)|
    |Recology San Francisco|USA|[recology.com](https://www.recology.com/recology-san-francisco/collection-calendar/)|

    and probably a lot more.

default_params:
  split_at: '\, (?:and )?|(?: and )'

test_cases:
  Cambridge, MA, USA:
    url: https://recollect.a.ssl.fastly.net/api/places/F2BCBBF2-ACC9-11E8-B4BD-CFDD30C1D4D8/services/761/events.en-US.ics
    split_at: '\, (?:and )?|(?: and )'
  Ottawa, ON, Canada:
    url: https://recollect.a.ssl.fastly.net/api/places/BCCDF30E-578B-11E4-AD38-5839C200407A/services/208/events.en.ics
    split_at: '\, (?:and )?|(?: and )'
  Georgetown, TX, USA:
    url: https://recollect.a.ssl.fastly.net/api/places/9EA385D4-4AF9-11EB-B308-E6A235C11932/services/611/events.en-US.ics
    split_at: '\, (?:and )?|(?: and )'
  Sherwood Park, AB, Canada:
    url: 
      webcal://recollect.a.ssl.fastly.net/api/places/F5A5C1D2-3D25-11EE-A377-8D1C706BDDF3/services/238/events.en.ics?client_id=7CCAFDAE-3D25-11EE-8AF8-9D1C706BDDF3
  Morris, MB, Canada:
    url: webcal://recollect.a.ssl.fastly.net/api/places/2DC90F42-E8AA-11EB-A726-598C8684B99B/services/397/events.en.ics
    split_at: '\, (?:and )?|(?: and )'
  Peterborough, ON, Canada:
    url: 
      webcal://recollect.a.ssl.fastly.net/api/places/C0A33242-3365-11EC-A104-84C872B788E8/services/345/events.en.ics?client_id=F81035CA-7177-11EE-A247-E8E188BA1CF3
    split_at: '\, (?:and )?|(?: and )'
  166 W 47th Ave, Vancouver:
    url: 
      webcal://recollect.a.ssl.fastly.net/api/places/3734BF46-A9A1-11E2-8B00-43B94144C028/services/193/events.en.ics?client_id=8844492C-9457-11EE-90E3-08A383E66757
  Cathedral of Junk, Austin, TX:
    url: https://recollect.a.ssl.fastly.net/api/places/2587D9F6-DF59-11E8-96F5-0E2C682931C6/services/323/events.en-US.ics
    split_at: '\, (?:and )?|(?: and )'
  3329 Sorghum Way, McKinney, TX:
    url: 
      https://api.recollect.net/w/areas/WC-5183/services/995/pages/widget_subscribe_calendar?back_stack=%5B%5B%22place_calendar%22%2C%7B%22for%22%3A%22WC-5183%22%2C%22tabbed%22%3Atrue%7D%5D%5D#
    split_at: '\, (?:and )?|(?: and )'
  Halton Region, ON, Canada:
    url: 
      https://recollect.a.ssl.fastly.net/api/places/97323326-A43B-11E2-A636-ABBA3CA4474E/services/224/events.en.ics?client_id=61BBBF46-7800-11EF-8692-290A842A7710
    split_at: '\, (?:and )?|(?: and )'
  District of Saanich, BC, Canada:
    url: 
      https://recollect.a.ssl.fastly.net/api/places/46BC2620-B477-11E3-B3D4-47898BE95184/services/214/events.en.ics?client_id=BD5E38F8-741B-11EF-B562-C1575C8ED1CF
    split_at: '\, (?:and )?|(?: and )'
  Recology CleanScapes:
    url: 
      https://recollect.a.ssl.fastly.net/api/places/6D1AA3AC-D794-11EC-AFDF-27CF02E3D7CF/services/282/events.en-US.ics?client_id=ABC6EE28-8A1E-11EF-844A-7A54B7F06687
    split_at: '\, (?:and )?|(?: and )'
  Hardin Sanitation, Idaho, USA:
    url: https://recollect.a.ssl.fastly.net/api/places/0495A9DC-DB0F-11E9-8172-34B19DD5B1B2/services/881/events.en-US.ics?
    split_at: '\, (?:and )?|(?: and )'
  Richmond, BC, Canada:
    url: https://recollect.a.ssl.fastly.net/api/places/966E4642-75A4-11E8-BBDF-683FCE8203D4/services/200/events.en.ics?
    split_at: '\, (?:and )?|(?: and )'
  Davenport, Iowa, USA:
    url: https://recollect.a.ssl.fastly.net/api/places/9A775DEE-C7FF-11E7-822B-76228DB90E2A/services/319/events.en-US.ics?
    split_at: '\, (?:and )?|(?: and )'
  Recology San Francisco:
    url: webcal://recollect-us.global.ssl.fastly.net/api/places/F8DA6588-B076-11E8-BA4B-30AA635824F2/services/265/events.en-US.ics?client_id=79B7D646-3A76-11F0-91E0-BB51B3DF21C3
    split_at: '\, (?:and )?|(?: and )'
